# Activity Manifest

## zapiGetManifestIndividualByActivityIdAndDate

<mark style="color:blue;">`GET`</mark> `https://{yourdomainname}.zaui.net/zapi/`

#### Request Body

| Name                                            | Type    | Description                                                                                                                                                    |
| ----------------------------------------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| zapiToken<mark style="color:red;">\*</mark>     | integer | Token that must be used for a reseller to communicate with the supplier system.                                                                                |
| activityId<mark style="color:red;">\*</mark>    | integer | ID of the activity.                                                                                                                                            |
| methodName<mark style="color:red;">\*</mark>    | string  | The method being called.                                                                                                                                       |
| zapiUserId<mark style="color:red;">\*</mark>    | integer | Generated by the supplier system when a new contact is created.                                                                                                |
| zapiAccountId<mark style="color:red;">\*</mark> | integer | Generated by the supplier system.                                                                                                                              |
| date<mark style="color:red;">\*</mark>          | integer | The travel date.  Format: YYYY:MM:DD.                                                                                                                          |
| activityTime                                    | integer | The start time of the activity.  If provided, the API response will return data matching the specific activity time slot you have requested. Format: HH:MM:SS. |
| filteredEmployeeId                              | integer | Bookings made by a specific employee.                                                                                                                          |
| filteredEquipmentId                             | integer | Bookings on a single piece of equipment.                                                                                                                       |

{% tabs %}
{% tab title="200: OK " %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiGetManifestIndividualByActivityIdAndDate</methodName>
        <activity>
            <activityId>80</activityId>
            <activityName>
                <![CDATA[Canyon Icewalk ]]>
            </activityName>
            <availability>48</availability>
            <capacity>50</capacity>
            <assignedEquipment>
                <equipment>
                    <equipmentId>34</equipmentId>
                    <equipmentName>Big Buss</equipmentName>
                </equipment>
            </assignedEquipment>
            <assignedEmployees/>
            <allBookings/>
            <waitListGuests/>
            <equipmentTags/>
        </activity>
        <manifestDate>2022-05-25</manifestDate>
        <totalGuests>0</totalGuests>
        <totalGuestsCheckedIn>0</totalGuestsCheckedIn>
        <totalGuestsOnWaitList>0</totalGuestsOnWaitList>
        <totalGuestsOnStandby>0</totalGuestsOnStandby>
        <methodErrorCode>0</methodErrorCode>
        <methodErrorMessage/>
    </methodResponse>
</response>
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Request" %}

```xml
<request>
   <zapiToken></zapiToken>
   <zapiAccountId></zapiAccountId>
   <zapiUserId></zapiUserId>
   <zapiMethod>
        <methodName>zapiGetManifestIndividualByActivityIdAndDate</methodName>
        <activityId></activityId>
        <date></date>
        <activityTime></activityTime>
        <filteredEmployeeId></filteredEmployeeId>
        <filteredEquipmentId></filteredEquipmentId>
    </zapiMethod>
</request>
```

{% endtab %}

{% tab title="Response" %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiGetManifestIndividualByActivityIdAndDate</methodName>
        <activity>
            <activityId></activityId>
            <activityName></activityName>
            <availability></availability>
            <capacity></capacity>
            <assignedEquipment></assignedEquipment>
            <assignedEmployees></assignedEmployees>
            <allBookings></allBookings>
            <waitListGuests></waitListGuests>
            <equipmentTags></equipmentTags>
        </activity>
        <manifestDate></manifestDate>
        <totalGuests></totalGuests>
        <totalGuestsCheckedIn></totalGuestsCheckedIn>
        <totalGuestsOnWaitList></totalGuestsOnWaitList>
        <totalGuestsOnStandby></totalGuestsOnStandby>
        <methodErrorCode></methodErrorCode>
        <methodErrorMessage/>
    </methodResponse>
</response>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zaui.com/zapi/zapi-calls/manifest/activity-manifest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
